<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.4.15
Name: Begründung der Bedenken
Description: Es liegen Bedenken vor, dass die Versicherte Person ihre bisherige Tätigkeit dauerhaft wieder ausführen kann. Die Bedenken werden hier geäußert.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.4.15-2018-06-06T162417">
   <title>Begründung der Bedenken</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]]
Item: (BegruendungderBedenken)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]
Item: (BegruendungderBedenken)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]"
         id="d42e6193-false-d21096e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.15-2018-06-06T162417.html"
              test="string(@classCode) = ('OBS')">(BegruendungderBedenken): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.15-2018-06-06T162417.html"
              test="string(@moodCode) = ('EVN')">(BegruendungderBedenken): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.15-2018-06-06T162417.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']) &gt;= 1">(BegruendungderBedenken): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.15-2018-06-06T162417.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']) &lt;= 1">(BegruendungderBedenken): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.15-2018-06-06T162417.html"
              test="count(hl7:code[(@code = 'J' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.4')]) &gt;= 1">(BegruendungderBedenken): Element hl7:code[(@code = 'J' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.4')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.15-2018-06-06T162417.html"
              test="count(hl7:code[(@code = 'J' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.4')]) &lt;= 1">(BegruendungderBedenken): Element hl7:code[(@code = 'J' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.4')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.15-2018-06-06T162417.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(BegruendungderBedenken): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.15-2018-06-06T162417.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(BegruendungderBedenken): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']
Item: (BegruendungderBedenken)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']"
         id="d42e6199-false-d21139e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.15-2018-06-06T162417.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(BegruendungderBedenken): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.15-2018-06-06T162417.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.4.15')">(BegruendungderBedenken): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.4.15' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]/hl7:code[(@code = 'J' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.4')]
Item: (BegruendungderBedenken)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]/hl7:code[(@code = 'J' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.4')]"
         id="d42e6204-false-d21154e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.15-2018-06-06T162417.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CV')">(BegruendungderBedenken): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.15-2018-06-06T162417.html"
              test="@nullFlavor or (@code='J' and @codeSystem='1.2.276.0.76.3.1.261.1.5.4' and @displayName='Bedenken, dass die bisherige Tätigkeit wieder ausgeübt werden kann')">(BegruendungderBedenken): Der Elementinhalt MUSS einer von 'code 'J' codeSystem '1.2.276.0.76.3.1.261.1.5.4' displayName='Bedenken, dass die bisherige Tätigkeit wieder ausgeübt werden kann'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]/hl7:value[not(@nullFlavor)]
Item: (BegruendungderBedenken)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]/hl7:value[not(@nullFlavor)]"
         id="d42e6209-false-d21170e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.15-2018-06-06T162417.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(BegruendungderBedenken): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.15-2018-06-06T162417.html"
              test="count(hl7:originalText) &gt;= 1">(BegruendungderBedenken): Element hl7:originalText ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.15-2018-06-06T162417.html"
              test="count(hl7:originalText) &lt;= 1">(BegruendungderBedenken): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.15
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]/hl7:value[not(@nullFlavor)]/hl7:originalText
Item: (BegruendungderBedenken)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]/hl7:value[not(@nullFlavor)]/hl7:originalText"
         id="d42e6211-false-d21189e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.15-2018-06-06T162417.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(BegruendungderBedenken): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
