<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.4.4
Name: Bedenken bisherige Tätigkeit dauerhaft wieder auszuführen
Description: Bestehen Bedenken, dass die versicherte Person ihre bisherige Tätigkeit dauerhaft wieder ausführen kann?
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700">
   <title>Bedenken bisherige Tätigkeit dauerhaft wieder auszuführen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.4
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]]
Item: (BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.4
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]
Item: (BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]"
         id="d42e7397-false-d23414e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="string(@classCode) = ('OBS')">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="string(@moodCode) = ('EVN')">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']) &gt;= 1">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']) &lt;= 1">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="count(hl7:code[(@code = 'BTWDA' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.100') or @nullFlavor]) &gt;= 1">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Element hl7:code[(@code = 'BTWDA' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.100') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="count(hl7:code[(@code = 'BTWDA' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.100') or @nullFlavor]) &lt;= 1">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Element hl7:code[(@code = 'BTWDA' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.100') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="count(hl7:text) &gt;= 1">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="count(hl7:text) &lt;= 1">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="count(hl7:effectiveTime) &lt;= 1">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]]) &lt;= 1">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.4
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']
Item: (BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']"
         id="d42e7403-false-d23491e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.4.4')">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.4.4' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.4
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]/hl7:code[(@code = 'BTWDA' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.100') or @nullFlavor]
Item: (BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]/hl7:code[(@code = 'BTWDA' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.100') or @nullFlavor]"
         id="d42e7408-false-d23506e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="@nullFlavor or (@code='BTWDA' and @codeSystem='1.2.276.0.76.3.1.261.1.5.100' and @displayName='Bedenken Tätigkeit dauerhaft auszuführen')">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Der Elementinhalt MUSS einer von 'code 'BTWDA' codeSystem '1.2.276.0.76.3.1.261.1.5.100' displayName='Bedenken Tätigkeit dauerhaft auszuführen'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.4
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]/hl7:text
Item: (BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]/hl7:text"
         id="d42e7413-false-d23522e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.4
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]/hl7:statusCode[@code = 'completed']
Item: (BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]/hl7:statusCode[@code = 'completed']"
         id="d42e7416-false-d23533e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="@nullFlavor or (@code='completed')">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.4
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]/hl7:effectiveTime
Item: (BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]/hl7:effectiveTime"
         id="d42e7421-false-d23549e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.4
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e7423-false-d23562e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.3.1.261.1.11.4-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Der Elementinhalt MUSS einer von '1.2.276.0.76.3.1.261.1.11.4 Bedenken Tätigkeit dauerhaft auszuführen (DYNAMIC)' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.4
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]]
Item: (BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.4']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.15']]]">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.4-2018-05-28T135700.html"
              test="string(@typeCode) = ('RSON')">(BedenkenbisherigeTaetigkeitdauerhaftwiederauszufuehren): Der Wert von typeCode MUSS 'RSON' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
